igeo

## Class IParticleOnCurveAgent

- java.lang.Object
- - igeo.IObject
  - - igeo.IAgent
    - - igeo.IPointAgent
      - - igeo.IParticleOnCurve
        - - igeo.IParticleOnCurveAgent

- All Implemented Interfaces:
    IArithmeticVal<IVecI,IDoubleI>, IDynamics, IParameter, IParticleI, IParticleOnCurveI, ISubobject, ITransformable, IVal, IVecI, IVecOp

      public class IParticleOnCurveAgent
      extends IParticleOnCurve

  Alias class of IParticleOnCurve for backward compatibility; Use IParticleOnCurve instead.
  Author:
    Satoru Sugihara

- - ### Field Summary

    - ### Fields inherited from class igeo.IParticleOnCurve

      `frc, particle, vel`

    - ### Fields inherited from class igeo.IPointAgent

      `point, pos, tracker`

    - ### Fields inherited from class igeo.IAgent

      `alive, duration, interactOverridden, localDynamics, parent, targets, time`

    - ### Fields inherited from class igeo.IObject

      `attribute, dynamics, graphics, parameter, server, userData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IParticleOnCurveAgent(ICurve curve)`
    `IParticleOnCurveAgent(ICurve curve, double upos)`
    `IParticleOnCurveAgent(ICurve curve, double upos, double uvel)`
    `IParticleOnCurveAgent(ICurve curve, double upos, double uvel, IVec pos)`
    `IParticleOnCurveAgent(ICurve curve, double upos, IVec pos)`
    `IParticleOnCurveAgent(ICurveI curve)`
    `IParticleOnCurveAgent(ICurveI curve, double upos)`
    `IParticleOnCurveAgent(ICurveI curve, double upos, double uvel)`
    `IParticleOnCurveAgent(ICurveI curve, double upos, double uvel, IVec pos)`
    `IParticleOnCurveAgent(ICurveI curve, double upos, IVec pos)`
    `IParticleOnCurveAgent(ICurveI curve, IVec pos)`
    `IParticleOnCurveAgent(ICurve curve, IVec pos)`
    `IParticleOnCurveAgent(IParticleOnCurve p)`
    `IParticleOnCurveAgent(IParticleOnCurveGeo p)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IParticleOnCurveAgent` | `add(double x, double y, double z)`
    `IParticleOnCurveAgent` | `add(double f, IVecI v)` scale add
    `IParticleOnCurveAgent` | `add(IDoubleI x, IDoubleI y, IDoubleI z)`
    `IParticleOnCurveAgent` | `add(IDoubleI f, IVecI v)` scale add
    `IParticleOnCurveAgent` | `add(IVecI v)`
    `IParticleOnCurveAgent` | `add(IVecI v, double f)` scale add
    `IParticleOnCurveAgent` | `add(IVecI v, IDoubleI f)` scale add
    `IParticleOnCurveAgent` | `addForce(double fx, double fy, double fz)` alias of push
    `IParticleOnCurveAgent` | `addForce(IVecI f)` alias of push
    `IParticleOnCurveAgent` | `addUForce(double uforce)`
    `IParticleOnCurveAgent` | `clr(java.awt.Color c)`
    `IParticleOnCurveAgent` | `clr(java.awt.Color c, double alpha)`
    `IParticleOnCurveAgent` | `clr(java.awt.Color c, float alpha)`
    `IParticleOnCurveAgent` | `clr(java.awt.Color c, int alpha)`
    `IParticleOnCurveAgent` | `clr(double dgray)`
    `IParticleOnCurveAgent` | `clr(double dgray, double dalpha)`
    `IParticleOnCurveAgent` | `clr(double dr, double dg, double db)`
    `IParticleOnCurveAgent` | `clr(double dr, double dg, double db, double da)`
    `IParticleOnCurveAgent` | `clr(float fgray)`
    `IParticleOnCurveAgent` | `clr(float fgray, float falpha)`
    `IParticleOnCurveAgent` | `clr(float fr, float fg, float fb)`
    `IParticleOnCurveAgent` | `clr(float fr, float fg, float fb, float fa)`
    `IParticleOnCurveAgent` | `clr(IColor c)` to set an object color
    `IParticleOnCurveAgent` | `clr(IColor c, double alpha)` to set color, with alpha value overwritten
    `IParticleOnCurveAgent` | `clr(IColor c, float alpha)` to set color, with alpha value overwritten
    `IParticleOnCurveAgent` | `clr(IColor c, int alpha)` to set color, with alpha value overwritten
    `IParticleOnCurveAgent` | `clr(int gray)`
    `IParticleOnCurveAgent` | `clr(int gray, int alpha)`
    `IParticleOnCurveAgent` | `clr(int r, int g, int b)`
    `IParticleOnCurveAgent` | `clr(int r, int g, int b, int a)`
    `IParticleOnCurveAgent` | `clr(IObject o)` to set the same color with the object
    `IParticleOnCurveAgent` | `cp()` alias of dup()
    `IParticleOnCurveAgent` | `cp(double x, double y, double z)` cp() is alias of dup().add()
    `IParticleOnCurveAgent` | `cp(IDoubleI x, IDoubleI y, IDoubleI z)` cp() is alias of dup().add()
    `IParticleOnCurveAgent` | `cp(IVecI v)` cp() is alias of dup().add()
    `IParticleOnCurveAgent` | `decay(double d)`
    `IParticleOnCurveAgent` | `div(double v)`
    `IParticleOnCurveAgent` | `div(IDoubleI v)`
    `IParticleOnCurveAgent` | `dup()` duplicate object
    `IParticleOnCurveAgent` | `fix()` IParticleI API
    `IParticleOnCurveAgent` | `flip()` alias of neg()
    `IParticleOnCurveAgent` | `force(IVecI v)` set force
    `IParticleOnCurveAgent` | `frc(IVecI v)` set force
    `IParticleOnCurveAgent` | `fric(double friction)` set friction
    `IParticleOnCurveAgent` | `friction(double friction)` set friction
    `IParticleOnCurveAgent` | `hide()`
    `IParticleOnCurveAgent` | `hsb(double h, double s, double b)`
    `IParticleOnCurveAgent` | `hsb(double h, double s, double b, double a)`
    `IParticleOnCurveAgent` | `hsb(float h, float s, float b)`
    `IParticleOnCurveAgent` | `hsb(float h, float s, float b, float a)`
    `IParticleOnCurveAgent` | `layer(ILayer l)` Set layer by ILayer object
    `IParticleOnCurveAgent` | `len(double l)` setting length
    `IParticleOnCurveAgent` | `len(IDoubleI l)` setting length
    `IParticleOnCurveAgent` | `mass(double mass)` set mass
    `IParticleOnCurveAgent` | `mirror(double planeX, double planeY, double planeZ)` alias of ref
    `IParticleOnCurveAgent` | `mirror(double centerX, double centerY, double centerZ, double planeX, double planeY, double planeZ)` alias of ref
    `IParticleOnCurveAgent` | `mirror(IVecI planeDir)` alias of ref
    `IParticleOnCurveAgent` | `mirror(IVecI center, IVecI planeDir)` alias of ref
    `IParticleOnCurveAgent` | `mul(double v)`
    `IParticleOnCurveAgent` | `mul(IDoubleI v)`
    `IParticleOnCurveAgent` | `mv(double x, double y, double z)` mv() is alias of add()
    `IParticleOnCurveAgent` | `mv(IDoubleI x, IDoubleI y, IDoubleI z)` mv() is alias of add()
    `IParticleOnCurveAgent` | `mv(IVecI v)` mv() is alias of add()
    `IParticleOnCurveAgent` | `name(java.lang.String nm)` methods of IObject
    `IParticleOnCurveAgent` | `neg()`
    `IParticleOnCurveAgent` | `pos(IVecI v)` set position
    `IParticleOnCurveAgent` | `position(IVecI v)` set position
    `IParticleOnCurveAgent` | `pull(double fx, double fy, double fz)` equivalent to push(f.dup().neg())
    `IParticleOnCurveAgent` | `pull(IVecI f)` equivalent to push(f.dup().neg())
    `IParticleOnCurveAgent` | `push(double fx, double fy, double fz)` adding force to particle
    `IParticleOnCurveAgent` | `push(IVecI f)` adding force to particle
    `IParticleOnCurveAgent` | `ref(double planeX, double planeY, double planeZ)` reflect(mirror) 3 dimensionally to the other side of the plane
    `IParticleOnCurveAgent` | `ref(double centerX, double centerY, double centerZ, double planeX, double planeY, double planeZ)` reflect(mirror) 3 dimensionally to the other side of the plane
    `IParticleOnCurveAgent` | `ref(IVecI planeDir)` reflect(mirror) 3 dimensionally to the other side of the plane
    `IParticleOnCurveAgent` | `ref(IVecI center, IVecI planeDir)` reflect(mirror) 3 dimensionally to the other side of the plane
    `IParticleOnCurveAgent` | `removeTarget(int i)` remove target object.
    `IParticleOnCurveAgent` | `removeTarget(IObject obj)` remove target object.
    `IParticleOnCurveAgent` | `reset()` setting force zero
    `IParticleOnCurveAgent` | `resetForce()` alias of reset
    `IParticleOnCurveAgent` | `resetUForce()`
    `IParticleOnCurveAgent` | `rev()` alias of neg()
    `IParticleOnCurveAgent` | `rot(double angle)` rotation on XY plane
    `IParticleOnCurveAgent` | `rot(double axisX, double axisY, double axisZ, double angle)` rotation around axis vector
    `IParticleOnCurveAgent` | `rot(double centerX, double centerY, double centerZ, double axisX, double axisY, double axisZ, double angle)` rotation around axis vector and center point
    `IParticleOnCurveAgent` | `rot(IDoubleI angle)` rotation on XY plane
    `IParticleOnCurveAgent` | `rot(IVecI axis, double angle)` rotation around axis vector
    `IParticleOnCurveAgent` | `rot(IVecI axis, IDoubleI angle)` rotation around axis vector
    `IParticleOnCurveAgent` | `rot(IVecI axis, IVecI destDir)` rotate to destination direction vector
    `IParticleOnCurveAgent` | `rot(IVecI center, IVecI axis, double angle)` rotation around axis vector and center point
    `IParticleOnCurveAgent` | `rot(IVecI center, IVecI axis, IDoubleI angle)` rotation around axis vector and center point
    `IParticleOnCurveAgent` | `rot(IVecI center, IVecI axis, IVecI destPt)` rotate to destination point location
    `IParticleOnCurveAgent` | `rot2(double angle)` rotation on xy-plane; alias of rot(double)
    `IParticleOnCurveAgent` | `rot2(double centerX, double centerY, double angle)` rotation on xy-plane
    `IParticleOnCurveAgent` | `rot2(IDoubleI angle)` rotation on xy-plane; alias of rot(IDoubleI)
    `IParticleOnCurveAgent` | `rot2(IVecI destDir)` rotation on xy-plane towards destDir
    `IParticleOnCurveAgent` | `rot2(IVecI center, double angle)` rotation on xy-plane
    `IParticleOnCurveAgent` | `rot2(IVecI center, IDoubleI angle)` rotation on xy-plane
    `IParticleOnCurveAgent` | `rot2(IVecI center, IVecI destPt)` rotation on xy-plane towards destPt
    `IParticleOnCurveAgent` | `scale(double f)` alias of mul
    `IParticleOnCurveAgent` | `scale(double centerX, double centerY, double centerZ, double f)` scale from a center
    `IParticleOnCurveAgent` | `scale(IDoubleI f)` alias of mul
    `IParticleOnCurveAgent` | `scale(IVecI center, double f)` scale from a center
    `IParticleOnCurveAgent` | `scale(IVecI center, IDoubleI f)` scale from a center
    `IParticleOnCurveAgent` | `scale1d(double axisX, double axisY, double axisZ, double f)` scale only in 1 direction
    `IParticleOnCurveAgent` | `scale1d(double centerX, double centerY, double centerZ, double axisX, double axisY, double axisZ, double f)` scale only in 1 direction from a center
    `IParticleOnCurveAgent` | `scale1d(IVecI axis, double f)` scale only in 1 direction
    `IParticleOnCurveAgent` | `scale1d(IVecI axis, IDoubleI f)` scale only in 1 direction
    `IParticleOnCurveAgent` | `scale1d(IVecI center, IVecI axis, double f)` scale only in 1 direction from a center
    `IParticleOnCurveAgent` | `scale1d(IVecI center, IVecI axis, IDoubleI f)` scale only in 1 direction from a center
    `IParticleOnCurveAgent` | `set(double x, double y, double z)`
    `IParticleOnCurveAgent` | `set(IDoubleI x, IDoubleI y, IDoubleI z)`
    `IParticleOnCurveAgent` | `set(IVecI v)`
    `IParticleOnCurveAgent` | `setColor(java.awt.Color c)`
    `IParticleOnCurveAgent` | `setColor(java.awt.Color c, int alpha)`
    `IParticleOnCurveAgent` | `setColor(double dgray)`
    `IParticleOnCurveAgent` | `setColor(double dgray, double dalpha)`
    `IParticleOnCurveAgent` | `setColor(double dr, double dg, double db)`
    `IParticleOnCurveAgent` | `setColor(double dr, double dg, double db, double da)`
    `IParticleOnCurveAgent` | `setColor(float fgray)`
    `IParticleOnCurveAgent` | `setColor(float fgray, float falpha)`
    `IParticleOnCurveAgent` | `setColor(float fr, float fg, float fb)`
    `IParticleOnCurveAgent` | `setColor(float fr, float fg, float fb, float fa)`
    `IParticleOnCurveAgent` | `setColor(int gray)`
    `IParticleOnCurveAgent` | `setColor(int gray, int alpha)`
    `IParticleOnCurveAgent` | `setColor(int r, int g, int b)`
    `IParticleOnCurveAgent` | `setColor(int r, int g, int b, int a)`
    `IParticleOnCurveAgent` | `setHSBColor(double h, double s, double b)`
    `IParticleOnCurveAgent` | `setHSBColor(double h, double s, double b, double a)`
    `IParticleOnCurveAgent` | `setHSBColor(float h, float s, float b)`
    `IParticleOnCurveAgent` | `setHSBColor(float h, float s, float b, float a)`
    `IParticleOnCurveAgent` | `setSize(double sz)` methods of IPoint
    `IParticleOnCurveAgent` | `shear(double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
    `IParticleOnCurveAgent` | `shear(IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)` shear operation
    `IParticleOnCurveAgent` | `shear(IVecI center, double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
    `IParticleOnCurveAgent` | `shear(IVecI center, IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)` shear operation
    `IParticleOnCurveAgent` | `shearXY(double sxy, double syx)` shear operation on XY
    `IParticleOnCurveAgent` | `shearXY(IDoubleI sxy, IDoubleI syx)` shear operation on XY
    `IParticleOnCurveAgent` | `shearXY(IVecI center, double sxy, double syx)` shear operation on XY
    `IParticleOnCurveAgent` | `shearXY(IVecI center, IDoubleI sxy, IDoubleI syx)` shear operation on XY
    `IParticleOnCurveAgent` | `shearYZ(double syz, double szy)` shear operation on YZ
    `IParticleOnCurveAgent` | `shearYZ(IDoubleI syz, IDoubleI szy)` shear operation on YZ
    `IParticleOnCurveAgent` | `shearYZ(IVecI center, double syz, double szy)` shear operation on YZ
    `IParticleOnCurveAgent` | `shearYZ(IVecI center, IDoubleI syz, IDoubleI szy)` shear operation on YZ
    `IParticleOnCurveAgent` | `shearZX(double szx, double sxz)` shear operation on ZX
    `IParticleOnCurveAgent` | `shearZX(IDoubleI szx, IDoubleI sxz)` shear operation on ZX
    `IParticleOnCurveAgent` | `shearZX(IVecI center, double szx, double sxz)` shear operation on ZX
    `IParticleOnCurveAgent` | `shearZX(IVecI center, IDoubleI szx, IDoubleI sxz)` shear operation on ZX
    `IParticleOnCurveAgent` | `show()`
    `IParticleOnCurveAgent` | `size(double sz)`
    `IParticleOnCurveAgent` | `sub(double x, double y, double z)`
    `IParticleOnCurveAgent` | `sub(IDoubleI x, IDoubleI y, IDoubleI z)`
    `IParticleOnCurveAgent` | `sub(IVecI v)`
    `IParticleOnCurveAgent` | `target(IObject targetObj)` add terget object to be updated by this dynamic object.
    `IParticleOnCurveAgent` | `transform(IMatrix3I mat)` transform with a transformation matrix
    `IParticleOnCurveAgent` | `transform(IMatrix4I mat)` transform with a transformation matrix
    `IParticleOnCurveAgent` | `transform(IVecI xvec, IVecI yvec, IVecI zvec)` transform with a transformation vectors
    `IParticleOnCurveAgent` | `transform(IVecI xvec, IVecI yvec, IVecI zvec, IVecI translate)` transform with a transformation vectors
    `IParticleOnCurveAgent` | `translate(double x, double y, double z)` alias of add()
    `IParticleOnCurveAgent` | `translate(IDoubleI x, IDoubleI y, IDoubleI z)` alias of add()
    `IParticleOnCurveAgent` | `translate(IVecI v)` alias of add()
    `IParticleOnCurveAgent` | `uforce(double uf)`
    `IParticleOnCurveAgent` | `ufrc(double uf)`
    `IParticleOnCurveAgent` | `unfix()` unfix movement
    `IParticleOnCurveAgent` | `unit()` unitize
    `IParticleOnCurveAgent` | `upos(double u)`
    `IParticleOnCurveAgent` | `uposition(double u)`
    `IParticleOnCurveAgent` | `upull(double uforce)`
    `IParticleOnCurveAgent` | `upush(double uforce)`
    `IParticleOnCurveAgent` | `ureset()`
    `IParticleOnCurveAgent` | `uvel(double uv)`
    `IParticleOnCurveAgent` | `uvelocity(double uv)`
    `IParticleOnCurveAgent` | `vel(IVecI v)` set velocity
    `IParticleOnCurveAgent` | `velocity(IVecI v)` set velocity
    `IParticleOnCurveAgent` | `weight(double w)`
    `IParticleOnCurveAgent` | `weight(float w)`
    `IParticleOnCurveAgent` | `x(double vx)` methods of IVecI
    `IParticleOnCurveAgent` | `x(IDoubleI vx)` setting x component
    `IParticleOnCurveAgent` | `y(double vy)` setting y component
    `IParticleOnCurveAgent` | `y(IDoubleI vy)` setting y component
    `IParticleOnCurveAgent` | `z(double vz)` setting z component
    `IParticleOnCurveAgent` | `z(IDoubleI vz)` setting z component
    `IParticleOnCurveAgent` | `zero()` setting all zero

    - ### Methods inherited from class igeo.IParticleOnCurve

      `acc, acceleration, decay, fixed, force, frc, fric, friction, initParticleOnCurveAgent, initParticleOnCurveAgent, initParticleOnCurveAgent, mass, pos, position, railCurve, setColor, setColor, setColor, setColor, setColor, setColor, skipUpdateOnce, skipUpdateOnce, target, targetNum, targets, uforce, ufrc, updateTarget, upos, uposition, uvel, uvelocity, vel, velocity, x, x, y, y, z`

    - ### Methods inherited from class igeo.IPointAgent

      `angle, angle, angle, angle, angle, angle, angle, angle, attach, attach, bisect, bisect, brep, brep, brepNum, breps, cross, cross, curve, curve, curveNum, curves, del, del, dif, dif, diff, diff, dist, dist, dist, dist, dist2, dist2, dist2, dist2, dot, dot, dot, dot, eq, eq, eq, eq, eq, eq, eq, eq, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, geometries, geometry, geometry, geometryNum, get, getSize, getX, getY, getZ, hideGeometry, hidePoint, isValid, len, len, len, len2, len2, len2, mesh, mesh, meshes, meshNum, mid, mid, nml, nml, nml, nml, point, point, pointNum, points, showGeometry, showPoint, size, sum, sum, sum, sum, sum, sum, sum, surface, surface, surfaceNum, surfaces, to2d, to2d, to2d, to2d, to4d, to4d, to4d, toString, x, x, x, y, y, y, z, z, z`

    - ### Methods inherited from class igeo.IAgent

      `addDynamics, alive, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, initAgent, interact, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, time, time, update, updateGraphic`

    - ### Methods inherited from class igeo.IObject

      `addUserData, addUserData, alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, clr, createGraphic, defaultAttribute, deleteGraphic, getAWTColor, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hue, initGraphic, initObject, isVisible, layer, layer, name, red, redInt, resetGraphic, saturation, server, setParameter, setTexture, syncColor, syncGraphic, syncVisibility, syncWeight, texture, userData, userData, userData, userDataNum, visible, weight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface igeo.IParticleOnCurveI

      `curve`

    - ### Methods inherited from interface igeo.IVecI

      `angle, angle, angle, angle, angle, angle, angle, angle, bisect, bisect, cross, cross, dif, dif, diff, diff, dist, dist, dist, dist, dist2, dist2, dist2, dist2, dot, dot, dot, dot, eq, eq, eq, eq, eq, eq, eq, eq, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, get, getX, getY, getZ, isValid, len, len, len, len2, len2, len2, mid, mid, nml, nml, nml, nml, sum, sum, sum, sum, sum, sum, sum, to2d, to2d, to2d, to2d, to4d, to4d, to4d, x, x, x, y, y, y, z, z, z`

- - ### Constructor Detail

    - #### IParticleOnCurveAgent

          public IParticleOnCurveAgent(ICurveI curve,
                               double upos,
                               double uvel)

    - #### IParticleOnCurveAgent

          public IParticleOnCurveAgent(ICurveI curve,
                               double upos)

    - #### IParticleOnCurveAgent

          public IParticleOnCurveAgent(ICurveI curve)

    - #### IParticleOnCurveAgent

          public IParticleOnCurveAgent(ICurveI curve,
                               double upos,
                               double uvel,
                               IVec pos)

    - #### IParticleOnCurveAgent

          public IParticleOnCurveAgent(ICurveI curve,
                               double upos,
                               IVec pos)

    - #### IParticleOnCurveAgent

          public IParticleOnCurveAgent(ICurveI curve,
                               IVec pos)

    - #### IParticleOnCurveAgent

          public IParticleOnCurveAgent(ICurve curve,
                               double upos,
                               double uvel)

    - #### IParticleOnCurveAgent

          public IParticleOnCurveAgent(ICurve curve,
                               double upos)

    - #### IParticleOnCurveAgent

          public IParticleOnCurveAgent(ICurve curve)

    - #### IParticleOnCurveAgent

          public IParticleOnCurveAgent(ICurve curve,
                               double upos,
                               double uvel,
                               IVec pos)

    - #### IParticleOnCurveAgent

          public IParticleOnCurveAgent(ICurve curve,
                               double upos,
                               IVec pos)

    - #### IParticleOnCurveAgent

          public IParticleOnCurveAgent(ICurve curve,
                               IVec pos)

    - #### IParticleOnCurveAgent

          public IParticleOnCurveAgent(IParticleOnCurveGeo p)

    - #### IParticleOnCurveAgent

          public IParticleOnCurveAgent(IParticleOnCurve p)

  - ### Method Detail

    - #### fix

          public IParticleOnCurveAgent fix()

      IParticleI API
      Specified by:
        `fix` in interface `IParticleI`
      Overrides:
        `fix` in class `IParticleOnCurve`

    - #### unfix

          public IParticleOnCurveAgent unfix()

      Description copied from interface: `IParticleI`
      unfix movement
      Specified by:
        `unfix` in interface `IParticleI`
      Overrides:
        `unfix` in class `IParticleOnCurve`

    - #### mass

          public IParticleOnCurveAgent mass(double mass)

      Description copied from interface: `IParticleI`
      set mass
      Specified by:
        `mass` in interface `IParticleI`
      Overrides:
        `mass` in class `IParticleOnCurve`

    - #### position

          public IParticleOnCurveAgent position(IVecI v)

      Description copied from interface: `IParticleI`
      set position
      Specified by:
        `position` in interface `IParticleI`
      Overrides:
        `position` in class `IParticleOnCurve`

    - #### pos

          public IParticleOnCurveAgent pos(IVecI v)

      Description copied from interface: `IParticleI`
      set position
      Specified by:
        `pos` in interface `IParticleI`
      Overrides:
        `pos` in class `IParticleOnCurve`

    - #### velocity

          public IParticleOnCurveAgent velocity(IVecI v)

      Description copied from interface: `IParticleI`
      set velocity
      Specified by:
        `velocity` in interface `IParticleI`
      Overrides:
        `velocity` in class `IParticleOnCurve`

    - #### vel

          public IParticleOnCurveAgent vel(IVecI v)

      Description copied from interface: `IParticleI`
      set velocity
      Specified by:
        `vel` in interface `IParticleI`
      Overrides:
        `vel` in class `IParticleOnCurve`

    - #### force

          public IParticleOnCurveAgent force(IVecI v)

      Description copied from interface: `IParticleI`
      set force
      Specified by:
        `force` in interface `IParticleI`
      Overrides:
        `force` in class `IParticleOnCurve`

    - #### frc

          public IParticleOnCurveAgent frc(IVecI v)

      Description copied from interface: `IParticleI`
      set force
      Specified by:
        `frc` in interface `IParticleI`
      Overrides:
        `frc` in class `IParticleOnCurve`

    - #### friction

          public IParticleOnCurveAgent friction(double friction)

      Description copied from interface: `IParticleI`
      set friction
      Specified by:
        `friction` in interface `IParticleI`
      Overrides:
        `friction` in class `IParticleOnCurve`

    - #### fric

          public IParticleOnCurveAgent fric(double friction)

      Description copied from interface: `IParticleI`
      set friction
      Specified by:
        `fric` in interface `IParticleI`
      Overrides:
        `fric` in class `IParticleOnCurve`

    - #### decay

          public IParticleOnCurveAgent decay(double d)

      Specified by:
        `decay` in interface `IParticleI`
      Overrides:
        `decay` in class `IParticleOnCurve`

    - #### push

          public IParticleOnCurveAgent push(IVecI f)

      Description copied from interface: `IParticleI`
      adding force to particle
      Specified by:
        `push` in interface `IParticleI`
      Overrides:
        `push` in class `IParticleOnCurve`

    - #### push

          public IParticleOnCurveAgent push(double fx,
                                   double fy,
                                   double fz)

      Description copied from interface: `IParticleI`
      adding force to particle
      Specified by:
        `push` in interface `IParticleI`
      Overrides:
        `push` in class `IParticleOnCurve`

    - #### pull

          public IParticleOnCurveAgent pull(IVecI f)

      Description copied from interface: `IParticleI`
      equivalent to push(f.dup().neg())
      Specified by:
        `pull` in interface `IParticleI`
      Overrides:
        `pull` in class `IParticleOnCurve`

    - #### pull

          public IParticleOnCurveAgent pull(double fx,
                                   double fy,
                                   double fz)

      Description copied from interface: `IParticleI`
      equivalent to push(f.dup().neg())
      Specified by:
        `pull` in interface `IParticleI`
      Overrides:
        `pull` in class `IParticleOnCurve`

    - #### addForce

          public IParticleOnCurveAgent addForce(IVecI f)

      Description copied from interface: `IParticleI`
      alias of push
      Specified by:
        `addForce` in interface `IParticleI`
      Overrides:
        `addForce` in class `IParticleOnCurve`

    - #### addForce

          public IParticleOnCurveAgent addForce(double fx,
                                       double fy,
                                       double fz)

      Description copied from interface: `IParticleI`
      alias of push
      Specified by:
        `addForce` in interface `IParticleI`
      Overrides:
        `addForce` in class `IParticleOnCurve`

    - #### reset

          public IParticleOnCurveAgent reset()

      Description copied from interface: `IParticleI`
      setting force zero
      Specified by:
        `reset` in interface `IParticleI`
      Overrides:
        `reset` in class `IParticleOnCurve`

    - #### resetForce

          public IParticleOnCurveAgent resetForce()

      Description copied from interface: `IParticleI`
      alias of reset
      Specified by:
        `resetForce` in interface `IParticleI`
      Overrides:
        `resetForce` in class `IParticleOnCurve`

    - #### uposition

          public IParticleOnCurveAgent uposition(double u)

      Specified by:
        `uposition` in interface `IParticleOnCurveI`
      Overrides:
        `uposition` in class `IParticleOnCurve`

    - #### upos

          public IParticleOnCurveAgent upos(double u)

      Specified by:
        `upos` in interface `IParticleOnCurveI`
      Overrides:
        `upos` in class `IParticleOnCurve`

    - #### uvelocity

          public IParticleOnCurveAgent uvelocity(double uv)

      Specified by:
        `uvelocity` in interface `IParticleOnCurveI`
      Overrides:
        `uvelocity` in class `IParticleOnCurve`

    - #### uvel

          public IParticleOnCurveAgent uvel(double uv)

      Specified by:
        `uvel` in interface `IParticleOnCurveI`
      Overrides:
        `uvel` in class `IParticleOnCurve`

    - #### uforce

          public IParticleOnCurveAgent uforce(double uf)

      Specified by:
        `uforce` in interface `IParticleOnCurveI`
      Overrides:
        `uforce` in class `IParticleOnCurve`

    - #### ufrc

          public IParticleOnCurveAgent ufrc(double uf)

      Specified by:
        `ufrc` in interface `IParticleOnCurveI`
      Overrides:
        `ufrc` in class `IParticleOnCurve`

    - #### addUForce

          public IParticleOnCurveAgent addUForce(double uforce)

      Specified by:
        `addUForce` in interface `IParticleOnCurveI`
      Overrides:
        `addUForce` in class `IParticleOnCurve`

    - #### resetUForce

          public IParticleOnCurveAgent resetUForce()

      Specified by:
        `resetUForce` in interface `IParticleOnCurveI`
      Overrides:
        `resetUForce` in class `IParticleOnCurve`

    - #### upush

          public IParticleOnCurveAgent upush(double uforce)

      Specified by:
        `upush` in interface `IParticleOnCurveI`
      Overrides:
        `upush` in class `IParticleOnCurve`

    - #### upull

          public IParticleOnCurveAgent upull(double uforce)

      Specified by:
        `upull` in interface `IParticleOnCurveI`
      Overrides:
        `upull` in class `IParticleOnCurve`

    - #### ureset

          public IParticleOnCurveAgent ureset()

      Specified by:
        `ureset` in interface `IParticleOnCurveI`
      Overrides:
        `ureset` in class `IParticleOnCurve`

    - #### target

          public IParticleOnCurveAgent target(IObject targetObj)

      add terget object to be updated by this dynamic object.
      Specified by:
        `target` in interface `IDynamics`
      Specified by:
        `target` in interface `IParticleI`
      Overrides:
        `target` in class `IParticleOnCurve`

    - #### removeTarget

          public IParticleOnCurveAgent removeTarget(int i)

      Description copied from class: `IAgent`
      remove target object.
      Specified by:
        `removeTarget` in interface `IDynamics`
      Specified by:
        `removeTarget` in interface `IParticleI`
      Overrides:
        `removeTarget` in class `IParticleOnCurve`

    - #### removeTarget

          public IParticleOnCurveAgent removeTarget(IObject obj)

      remove target object.
      Specified by:
        `removeTarget` in interface `IDynamics`
      Specified by:
        `removeTarget` in interface `IParticleI`
      Overrides:
        `removeTarget` in class `IParticleOnCurve`

    - #### x

          public IParticleOnCurveAgent x(double vx)

      methods of IVecI
      Specified by:
        `x` in interface `IVecI`
      Overrides:
        `x` in class `IParticleOnCurve`

    - #### y

          public IParticleOnCurveAgent y(double vy)

      Description copied from interface: `IVecI`
      setting y component
      Specified by:
        `y` in interface `IVecI`
      Overrides:
        `y` in class `IParticleOnCurve`

    - #### z

          public IParticleOnCurveAgent z(double vz)

      Description copied from interface: `IVecI`
      setting z component
      Specified by:
        `z` in interface `IVecI`
      Overrides:
        `z` in class `IParticleOnCurve`

    - #### x

          public IParticleOnCurveAgent x(IDoubleI vx)

      Description copied from interface: `IVecI`
      setting x component
      Specified by:
        `x` in interface `IVecI`
      Overrides:
        `x` in class `IParticleOnCurve`

    - #### y

          public IParticleOnCurveAgent y(IDoubleI vy)

      Description copied from interface: `IVecI`
      setting y component
      Specified by:
        `y` in interface `IVecI`
      Overrides:
        `y` in class `IParticleOnCurve`

    - #### z

          public IParticleOnCurveAgent z(IDoubleI vz)

      Description copied from interface: `IVecI`
      setting z component
      Specified by:
        `z` in interface `IVecI`
      Overrides:
        `z` in class `IParticleOnCurve`

    - #### dup

          public IParticleOnCurveAgent dup()

      Description copied from class: `IObject`
      duplicate object
      Specified by:
        `dup` in interface `IArithmeticVal<IVecI,IDoubleI>`
      Specified by:
        `dup` in interface `ITransformable`
      Specified by:
        `dup` in interface `IVecI`
      Overrides:
        `dup` in class `IParticleOnCurve`

    - #### set

          public IParticleOnCurveAgent set(IVecI v)

      Specified by:
        `set` in interface `IArithmeticVal<IVecI,IDoubleI>`
      Specified by:
        `set` in interface `IVecI`
      Overrides:
        `set` in class `IParticleOnCurve`

    - #### set

          public IParticleOnCurveAgent set(double x,
                                  double y,
                                  double z)

      Specified by:
        `set` in interface `IVecI`
      Overrides:
        `set` in class `IParticleOnCurve`

    - #### set

          public IParticleOnCurveAgent set(IDoubleI x,
                                  IDoubleI y,
                                  IDoubleI z)

      Specified by:
        `set` in interface `IVecI`
      Overrides:
        `set` in class `IParticleOnCurve`

    - #### add

          public IParticleOnCurveAgent add(double x,
                                  double y,
                                  double z)

      Specified by:
        `add` in interface `ITransformable`
      Specified by:
        `add` in interface `IVecI`
      Overrides:
        `add` in class `IParticleOnCurve`

    - #### add

          public IParticleOnCurveAgent add(IDoubleI x,
                                  IDoubleI y,
                                  IDoubleI z)

      Specified by:
        `add` in interface `ITransformable`
      Specified by:
        `add` in interface `IVecI`
      Overrides:
        `add` in class `IParticleOnCurve`

    - #### add

          public IParticleOnCurveAgent add(IVecI v)

      Specified by:
        `add` in interface `IArithmeticVal<IVecI,IDoubleI>`
      Specified by:
        `add` in interface `ITransformable`
      Specified by:
        `add` in interface `IVecI`
      Overrides:
        `add` in class `IParticleOnCurve`

    - #### sub

          public IParticleOnCurveAgent sub(double x,
                                  double y,
                                  double z)

      Specified by:
        `sub` in interface `ITransformable`
      Specified by:
        `sub` in interface `IVecI`
      Overrides:
        `sub` in class `IParticleOnCurve`

    - #### sub

          public IParticleOnCurveAgent sub(IDoubleI x,
                                  IDoubleI y,
                                  IDoubleI z)

      Specified by:
        `sub` in interface `ITransformable`
      Specified by:
        `sub` in interface `IVecI`
      Overrides:
        `sub` in class `IParticleOnCurve`

    - #### sub

          public IParticleOnCurveAgent sub(IVecI v)

      Specified by:
        `sub` in interface `IArithmeticVal<IVecI,IDoubleI>`
      Specified by:
        `sub` in interface `ITransformable`
      Specified by:
        `sub` in interface `IVecI`
      Overrides:
        `sub` in class `IParticleOnCurve`

    - #### mul

          public IParticleOnCurveAgent mul(IDoubleI v)

      Specified by:
        `mul` in interface `IArithmeticVal<IVecI,IDoubleI>`
      Specified by:
        `mul` in interface `ITransformable`
      Specified by:
        `mul` in interface `IVecI`
      Overrides:
        `mul` in class `IParticleOnCurve`

    - #### mul

          public IParticleOnCurveAgent mul(double v)

      Specified by:
        `mul` in interface `ITransformable`
      Specified by:
        `mul` in interface `IVecI`
      Overrides:
        `mul` in class `IParticleOnCurve`

    - #### div

          public IParticleOnCurveAgent div(IDoubleI v)

      Specified by:
        `div` in interface `IArithmeticVal<IVecI,IDoubleI>`
      Specified by:
        `div` in interface `ITransformable`
      Specified by:
        `div` in interface `IVecI`
      Overrides:
        `div` in class `IParticleOnCurve`

    - #### div

          public IParticleOnCurveAgent div(double v)

      Specified by:
        `div` in interface `ITransformable`
      Specified by:
        `div` in interface `IVecI`
      Overrides:
        `div` in class `IParticleOnCurve`

    - #### neg

          public IParticleOnCurveAgent neg()

      Specified by:
        `neg` in interface `ITransformable`
      Specified by:
        `neg` in interface `IVecI`
      Overrides:
        `neg` in class `IParticleOnCurve`

    - #### rev

          public IParticleOnCurveAgent rev()

      Description copied from interface: `IVecI`
      alias of neg()
      Specified by:
        `rev` in interface `IVecI`
      Overrides:
        `rev` in class `IParticleOnCurve`

    - #### flip

          public IParticleOnCurveAgent flip()

      Description copied from interface: `IVecI`
      alias of neg()
      Specified by:
        `flip` in interface `ITransformable`
      Specified by:
        `flip` in interface `IVecI`
      Overrides:
        `flip` in class `IParticleOnCurve`

    - #### zero

          public IParticleOnCurveAgent zero()

      Description copied from interface: `IVecI`
      setting all zero
      Specified by:
        `zero` in interface `IArithmeticVal<IVecI,IDoubleI>`
      Specified by:
        `zero` in interface `IVecI`
      Overrides:
        `zero` in class `IParticleOnCurve`

    - #### add

          public IParticleOnCurveAgent add(IVecI v,
                                  double f)

      Description copied from interface: `IVecI`
      scale add
      Specified by:
        `add` in interface `ITransformable`
      Specified by:
        `add` in interface `IVecI`
      Overrides:
        `add` in class `IParticleOnCurve`

    - #### add

          public IParticleOnCurveAgent add(IVecI v,
                                  IDoubleI f)

      Description copied from interface: `IVecI`
      scale add
      Specified by:
        `add` in interface `ITransformable`
      Specified by:
        `add` in interface `IVecI`
      Overrides:
        `add` in class `IParticleOnCurve`

    - #### add

          public IParticleOnCurveAgent add(double f,
                                  IVecI v)

      Description copied from interface: `IVecI`
      scale add
      Specified by:
        `add` in interface `ITransformable`
      Specified by:
        `add` in interface `IVecI`
      Overrides:
        `add` in class `IParticleOnCurve`

    - #### add

          public IParticleOnCurveAgent add(IDoubleI f,
                                  IVecI v)

      Description copied from interface: `IVecI`
      scale add
      Specified by:
        `add` in interface `ITransformable`
      Specified by:
        `add` in interface `IVecI`
      Overrides:
        `add` in class `IParticleOnCurve`

    - #### len

          public IParticleOnCurveAgent len(IDoubleI l)

      Description copied from interface: `IVecI`
      setting length
      Specified by:
        `len` in interface `IVecI`
      Overrides:
        `len` in class `IParticleOnCurve`

    - #### len

          public IParticleOnCurveAgent len(double l)

      Description copied from interface: `IVecI`
      setting length
      Specified by:
        `len` in interface `IVecI`
      Overrides:
        `len` in class `IParticleOnCurve`

    - #### unit

          public IParticleOnCurveAgent unit()

      Description copied from interface: `IVecI`
      unitize
      Specified by:
        `unit` in interface `IVecI`
      Overrides:
        `unit` in class `IParticleOnCurve`

    - #### rot

          public IParticleOnCurveAgent rot(IDoubleI angle)

      Description copied from interface: `IVecI`
      rotation on XY plane
      Specified by:
        `rot` in interface `ITransformable`
      Specified by:
        `rot` in interface `IVecI`
      Overrides:
        `rot` in class `IParticleOnCurve`

    - #### rot

          public IParticleOnCurveAgent rot(double angle)

      Description copied from interface: `IVecI`
      rotation on XY plane
      Specified by:
        `rot` in interface `ITransformable`
      Specified by:
        `rot` in interface `IVecI`
      Overrides:
        `rot` in class `IParticleOnCurve`

    - #### rot

          public IParticleOnCurveAgent rot(IVecI axis,
                                  IDoubleI angle)

      Description copied from interface: `IVecI`
      rotation around axis vector
      Specified by:
        `rot` in interface `ITransformable`
      Specified by:
        `rot` in interface `IVecI`
      Overrides:
        `rot` in class `IParticleOnCurve`

    - #### rot

          public IParticleOnCurveAgent rot(IVecI axis,
                                  double angle)

      Description copied from interface: `IVecI`
      rotation around axis vector
      Specified by:
        `rot` in interface `ITransformable`
      Specified by:
        `rot` in interface `IVecI`
      Overrides:
        `rot` in class `IParticleOnCurve`

    - #### rot

          public IParticleOnCurveAgent rot(double axisX,
                                  double axisY,
                                  double axisZ,
                                  double angle)

      Description copied from interface: `IVecI`
      rotation around axis vector
      Specified by:
        `rot` in interface `IVecI`
      Overrides:
        `rot` in class `IParticleOnCurve`

    - #### rot

          public IParticleOnCurveAgent rot(IVecI center,
                                  IVecI axis,
                                  double angle)

      Description copied from interface: `IVecI`
      rotation around axis vector and center point
      Specified by:
        `rot` in interface `ITransformable`
      Specified by:
        `rot` in interface `IVecI`
      Overrides:
        `rot` in class `IParticleOnCurve`

    - #### rot

          public IParticleOnCurveAgent rot(IVecI center,
                                  IVecI axis,
                                  IDoubleI angle)

      Description copied from interface: `IVecI`
      rotation around axis vector and center point
      Specified by:
        `rot` in interface `ITransformable`
      Specified by:
        `rot` in interface `IVecI`
      Overrides:
        `rot` in class `IParticleOnCurve`

    - #### rot

          public IParticleOnCurveAgent rot(double centerX,
                                  double centerY,
                                  double centerZ,
                                  double axisX,
                                  double axisY,
                                  double axisZ,
                                  double angle)

      Description copied from interface: `IVecI`
      rotation around axis vector and center point
      Specified by:
        `rot` in interface `IVecI`
      Overrides:
        `rot` in class `IParticleOnCurve`

    - #### rot

          public IParticleOnCurveAgent rot(IVecI axis,
                                  IVecI destDir)

      Description copied from interface: `IVecI`
      rotate to destination direction vector
      Specified by:
        `rot` in interface `ITransformable`
      Specified by:
        `rot` in interface `IVecI`
      Overrides:
        `rot` in class `IParticleOnCurve`

    - #### rot

          public IParticleOnCurveAgent rot(IVecI center,
                                  IVecI axis,
                                  IVecI destPt)

      Description copied from interface: `IVecI`
      rotate to destination point location
      Specified by:
        `rot` in interface `ITransformable`
      Specified by:
        `rot` in interface `IVecI`
      Overrides:
        `rot` in class `IParticleOnCurve`

    - #### rot2

          public IParticleOnCurveAgent rot2(IDoubleI angle)

      Description copied from interface: `IVecI`
      rotation on xy-plane; alias of rot(IDoubleI)
      Specified by:
        `rot2` in interface `ITransformable`
      Specified by:
        `rot2` in interface `IVecI`
      Overrides:
        `rot2` in class `IParticleOnCurve`

    - #### rot2

          public IParticleOnCurveAgent rot2(double angle)

      Description copied from interface: `IVecI`
      rotation on xy-plane; alias of rot(double)
      Specified by:
        `rot2` in interface `ITransformable`
      Specified by:
        `rot2` in interface `IVecI`
      Overrides:
        `rot2` in class `IParticleOnCurve`

    - #### rot2

          public IParticleOnCurveAgent rot2(IVecI center,
                                   double angle)

      Description copied from interface: `IVecI`
      rotation on xy-plane
      Specified by:
        `rot2` in interface `ITransformable`
      Specified by:
        `rot2` in interface `IVecI`
      Overrides:
        `rot2` in class `IParticleOnCurve`

    - #### rot2

          public IParticleOnCurveAgent rot2(IVecI center,
                                   IDoubleI angle)

      Description copied from interface: `IVecI`
      rotation on xy-plane
      Specified by:
        `rot2` in interface `ITransformable`
      Specified by:
        `rot2` in interface `IVecI`
      Overrides:
        `rot2` in class `IParticleOnCurve`

    - #### rot2

          public IParticleOnCurveAgent rot2(double centerX,
                                   double centerY,
                                   double angle)

      Description copied from interface: `IVecI`
      rotation on xy-plane
      Specified by:
        `rot2` in interface `IVecI`
      Overrides:
        `rot2` in class `IParticleOnCurve`

    - #### rot2

          public IParticleOnCurveAgent rot2(IVecI destDir)

      Description copied from interface: `IVecI`
      rotation on xy-plane towards destDir
      Specified by:
        `rot2` in interface `ITransformable`
      Specified by:
        `rot2` in interface `IVecI`
      Overrides:
        `rot2` in class `IParticleOnCurve`

    - #### rot2

          public IParticleOnCurveAgent rot2(IVecI center,
                                   IVecI destPt)

      Description copied from interface: `IVecI`
      rotation on xy-plane towards destPt
      Specified by:
        `rot2` in interface `ITransformable`
      Specified by:
        `rot2` in interface `IVecI`
      Overrides:
        `rot2` in class `IParticleOnCurve`

    - #### scale

          public IParticleOnCurveAgent scale(IDoubleI f)

      Description copied from interface: `IVecI`
      alias of mul
      Specified by:
        `scale` in interface `ITransformable`
      Specified by:
        `scale` in interface `IVecI`
      Overrides:
        `scale` in class `IParticleOnCurve`

    - #### scale

          public IParticleOnCurveAgent scale(double f)

      Description copied from interface: `IVecI`
      alias of mul
      Specified by:
        `scale` in interface `ITransformable`
      Specified by:
        `scale` in interface `IVecI`
      Overrides:
        `scale` in class `IParticleOnCurve`

    - #### scale

          public IParticleOnCurveAgent scale(IVecI center,
                                    IDoubleI f)

      Description copied from interface: `IVecI`
      scale from a center
      Specified by:
        `scale` in interface `ITransformable`
      Specified by:
        `scale` in interface `IVecI`
      Overrides:
        `scale` in class `IParticleOnCurve`

    - #### scale

          public IParticleOnCurveAgent scale(IVecI center,
                                    double f)

      Description copied from interface: `IVecI`
      scale from a center
      Specified by:
        `scale` in interface `ITransformable`
      Specified by:
        `scale` in interface `IVecI`
      Overrides:
        `scale` in class `IParticleOnCurve`

    - #### scale

          public IParticleOnCurveAgent scale(double centerX,
                                    double centerY,
                                    double centerZ,
                                    double f)

      Description copied from interface: `IVecI`
      scale from a center
      Specified by:
        `scale` in interface `IVecI`
      Overrides:
        `scale` in class `IParticleOnCurve`

    - #### scale1d

          public IParticleOnCurveAgent scale1d(IVecI axis,
                                      double f)

      scale only in 1 direction
      Specified by:
        `scale1d` in interface `ITransformable`
      Specified by:
        `scale1d` in interface `IVecI`
      Overrides:
        `scale1d` in class `IParticleOnCurve`

    - #### scale1d

          public IParticleOnCurveAgent scale1d(IVecI axis,
                                      IDoubleI f)

      Description copied from interface: `IVecI`
      scale only in 1 direction
      Specified by:
        `scale1d` in interface `ITransformable`
      Specified by:
        `scale1d` in interface `IVecI`
      Overrides:
        `scale1d` in class `IParticleOnCurve`

    - #### scale1d

          public IParticleOnCurveAgent scale1d(double axisX,
                                      double axisY,
                                      double axisZ,
                                      double f)

      Description copied from interface: `IVecI`
      scale only in 1 direction
      Specified by:
        `scale1d` in interface `IVecI`
      Overrides:
        `scale1d` in class `IParticleOnCurve`

    - #### scale1d

          public IParticleOnCurveAgent scale1d(IVecI center,
                                      IVecI axis,
                                      double f)

      Description copied from interface: `IVecI`
      scale only in 1 direction from a center
      Specified by:
        `scale1d` in interface `ITransformable`
      Specified by:
        `scale1d` in interface `IVecI`
      Overrides:
        `scale1d` in class `IParticleOnCurve`

    - #### scale1d

          public IParticleOnCurveAgent scale1d(IVecI center,
                                      IVecI axis,
                                      IDoubleI f)

      Description copied from interface: `IVecI`
      scale only in 1 direction from a center
      Specified by:
        `scale1d` in interface `ITransformable`
      Specified by:
        `scale1d` in interface `IVecI`
      Overrides:
        `scale1d` in class `IParticleOnCurve`

    - #### scale1d

          public IParticleOnCurveAgent scale1d(double centerX,
                                      double centerY,
                                      double centerZ,
                                      double axisX,
                                      double axisY,
                                      double axisZ,
                                      double f)

      Description copied from interface: `IVecI`
      scale only in 1 direction from a center
      Specified by:
        `scale1d` in interface `IVecI`
      Overrides:
        `scale1d` in class `IParticleOnCurve`

    - #### ref

          public IParticleOnCurveAgent ref(IVecI planeDir)

      Description copied from interface: `IVecI`
      reflect(mirror) 3 dimensionally to the other side of the plane
      Specified by:
        `ref` in interface `ITransformable`
      Specified by:
        `ref` in interface `IVecI`
      Overrides:
        `ref` in class `IParticleOnCurve`

    - #### ref

          public IParticleOnCurveAgent ref(double planeX,
                                  double planeY,
                                  double planeZ)

      Description copied from interface: `IVecI`
      reflect(mirror) 3 dimensionally to the other side of the plane
      Specified by:
        `ref` in interface `IVecI`
      Overrides:
        `ref` in class `IParticleOnCurve`

    - #### ref

          public IParticleOnCurveAgent ref(IVecI center,
                                  IVecI planeDir)

      Description copied from interface: `IVecI`
      reflect(mirror) 3 dimensionally to the other side of the plane
      Specified by:
        `ref` in interface `ITransformable`
      Specified by:
        `ref` in interface `IVecI`
      Overrides:
        `ref` in class `IParticleOnCurve`

    - #### ref

          public IParticleOnCurveAgent ref(double centerX,
                                  double centerY,
                                  double centerZ,
                                  double planeX,
                                  double planeY,
                                  double planeZ)

      Description copied from interface: `IVecI`
      reflect(mirror) 3 dimensionally to the other side of the plane
      Specified by:
        `ref` in interface `IVecI`
      Overrides:
        `ref` in class `IParticleOnCurve`

    - #### mirror

          public IParticleOnCurveAgent mirror(IVecI planeDir)

      Description copied from interface: `IVecI`
      alias of ref
      Specified by:
        `mirror` in interface `ITransformable`
      Specified by:
        `mirror` in interface `IVecI`
      Overrides:
        `mirror` in class `IParticleOnCurve`

    - #### mirror

          public IParticleOnCurveAgent mirror(double planeX,
                                     double planeY,
                                     double planeZ)

      Description copied from interface: `IVecI`
      alias of ref
      Specified by:
        `mirror` in interface `IVecI`
      Overrides:
        `mirror` in class `IParticleOnCurve`

    - #### mirror

          public IParticleOnCurveAgent mirror(IVecI center,
                                     IVecI planeDir)

      Description copied from interface: `IVecI`
      alias of ref
      Specified by:
        `mirror` in interface `ITransformable`
      Specified by:
        `mirror` in interface `IVecI`
      Overrides:
        `mirror` in class `IParticleOnCurve`

    - #### mirror

          public IParticleOnCurveAgent mirror(double centerX,
                                     double centerY,
                                     double centerZ,
                                     double planeX,
                                     double planeY,
                                     double planeZ)

      Description copied from interface: `IVecI`
      alias of ref
      Specified by:
        `mirror` in interface `IVecI`
      Overrides:
        `mirror` in class `IParticleOnCurve`

    - #### shear

          public IParticleOnCurveAgent shear(double sxy,
                                    double syx,
                                    double syz,
                                    double szy,
                                    double szx,
                                    double sxz)

      Description copied from interface: `IVecI`
      shear operation
      Specified by:
        `shear` in interface `ITransformable`
      Specified by:
        `shear` in interface `IVecI`
      Overrides:
        `shear` in class `IParticleOnCurve`

    - #### shear

          public IParticleOnCurveAgent shear(IDoubleI sxy,
                                    IDoubleI syx,
                                    IDoubleI syz,
                                    IDoubleI szy,
                                    IDoubleI szx,
                                    IDoubleI sxz)

      Description copied from interface: `IVecI`
      shear operation
      Specified by:
        `shear` in interface `ITransformable`
      Specified by:
        `shear` in interface `IVecI`
      Overrides:
        `shear` in class `IParticleOnCurve`

    - #### shear

          public IParticleOnCurveAgent shear(IVecI center,
                                    double sxy,
                                    double syx,
                                    double syz,
                                    double szy,
                                    double szx,
                                    double sxz)

      Description copied from interface: `IVecI`
      shear operation
      Specified by:
        `shear` in interface `ITransformable`
      Specified by:
        `shear` in interface `IVecI`
      Overrides:
        `shear` in class `IParticleOnCurve`

    - #### shear

          public IParticleOnCurveAgent shear(IVecI center,
                                    IDoubleI sxy,
                                    IDoubleI syx,
                                    IDoubleI syz,
                                    IDoubleI szy,
                                    IDoubleI szx,
                                    IDoubleI sxz)

      Description copied from interface: `IVecI`
      shear operation
      Specified by:
        `shear` in interface `ITransformable`
      Specified by:
        `shear` in interface `IVecI`
      Overrides:
        `shear` in class `IParticleOnCurve`

    - #### shearXY

          public IParticleOnCurveAgent shearXY(double sxy,
                                      double syx)

      Description copied from interface: `IVecI`
      shear operation on XY
      Specified by:
        `shearXY` in interface `ITransformable`
      Specified by:
        `shearXY` in interface `IVecI`
      Overrides:
        `shearXY` in class `IParticleOnCurve`

    - #### shearXY

          public IParticleOnCurveAgent shearXY(IDoubleI sxy,
                                      IDoubleI syx)

      Description copied from interface: `IVecI`
      shear operation on XY
      Specified by:
        `shearXY` in interface `ITransformable`
      Specified by:
        `shearXY` in interface `IVecI`
      Overrides:
        `shearXY` in class `IParticleOnCurve`

    - #### shearXY

          public IParticleOnCurveAgent shearXY(IVecI center,
                                      double sxy,
                                      double syx)

      Description copied from interface: `IVecI`
      shear operation on XY
      Specified by:
        `shearXY` in interface `ITransformable`
      Specified by:
        `shearXY` in interface `IVecI`
      Overrides:
        `shearXY` in class `IParticleOnCurve`

    - #### shearXY

          public IParticleOnCurveAgent shearXY(IVecI center,
                                      IDoubleI sxy,
                                      IDoubleI syx)

      Description copied from interface: `IVecI`
      shear operation on XY
      Specified by:
        `shearXY` in interface `ITransformable`
      Specified by:
        `shearXY` in interface `IVecI`
      Overrides:
        `shearXY` in class `IParticleOnCurve`

    - #### shearYZ

          public IParticleOnCurveAgent shearYZ(double syz,
                                      double szy)

      Description copied from interface: `IVecI`
      shear operation on YZ
      Specified by:
        `shearYZ` in interface `ITransformable`
      Specified by:
        `shearYZ` in interface `IVecI`
      Overrides:
        `shearYZ` in class `IParticleOnCurve`

    - #### shearYZ

          public IParticleOnCurveAgent shearYZ(IDoubleI syz,
                                      IDoubleI szy)

      Description copied from interface: `IVecI`
      shear operation on YZ
      Specified by:
        `shearYZ` in interface `ITransformable`
      Specified by:
        `shearYZ` in interface `IVecI`
      Overrides:
        `shearYZ` in class `IParticleOnCurve`

    - #### shearYZ

          public IParticleOnCurveAgent shearYZ(IVecI center,
                                      double syz,
                                      double szy)

      Description copied from interface: `IVecI`
      shear operation on YZ
      Specified by:
        `shearYZ` in interface `ITransformable`
      Specified by:
        `shearYZ` in interface `IVecI`
      Overrides:
        `shearYZ` in class `IParticleOnCurve`

    - #### shearYZ

          public IParticleOnCurveAgent shearYZ(IVecI center,
                                      IDoubleI syz,
                                      IDoubleI szy)

      Description copied from interface: `IVecI`
      shear operation on YZ
      Specified by:
        `shearYZ` in interface `ITransformable`
      Specified by:
        `shearYZ` in interface `IVecI`
      Overrides:
        `shearYZ` in class `IParticleOnCurve`

    - #### shearZX

          public IParticleOnCurveAgent shearZX(double szx,
                                      double sxz)

      Description copied from interface: `IVecI`
      shear operation on ZX
      Specified by:
        `shearZX` in interface `ITransformable`
      Specified by:
        `shearZX` in interface `IVecI`
      Overrides:
        `shearZX` in class `IParticleOnCurve`

    - #### shearZX

          public IParticleOnCurveAgent shearZX(IDoubleI szx,
                                      IDoubleI sxz)

      Description copied from interface: `IVecI`
      shear operation on ZX
      Specified by:
        `shearZX` in interface `ITransformable`
      Specified by:
        `shearZX` in interface `IVecI`
      Overrides:
        `shearZX` in class `IParticleOnCurve`

    - #### shearZX

          public IParticleOnCurveAgent shearZX(IVecI center,
                                      double szx,
                                      double sxz)

      Description copied from interface: `IVecI`
      shear operation on ZX
      Specified by:
        `shearZX` in interface `ITransformable`
      Specified by:
        `shearZX` in interface `IVecI`
      Overrides:
        `shearZX` in class `IParticleOnCurve`

    - #### shearZX

          public IParticleOnCurveAgent shearZX(IVecI center,
                                      IDoubleI szx,
                                      IDoubleI sxz)

      Description copied from interface: `IVecI`
      shear operation on ZX
      Specified by:
        `shearZX` in interface `ITransformable`
      Specified by:
        `shearZX` in interface `IVecI`
      Overrides:
        `shearZX` in class `IParticleOnCurve`

    - #### translate

          public IParticleOnCurveAgent translate(double x,
                                        double y,
                                        double z)

      Description copied from interface: `IVecI`
      alias of add()
      Specified by:
        `translate` in interface `ITransformable`
      Specified by:
        `translate` in interface `IVecI`
      Overrides:
        `translate` in class `IParticleOnCurve`

    - #### translate

          public IParticleOnCurveAgent translate(IDoubleI x,
                                        IDoubleI y,
                                        IDoubleI z)

      Description copied from interface: `IVecI`
      alias of add()
      Specified by:
        `translate` in interface `ITransformable`
      Specified by:
        `translate` in interface `IVecI`
      Overrides:
        `translate` in class `IParticleOnCurve`

    - #### translate

          public IParticleOnCurveAgent translate(IVecI v)

      Description copied from interface: `IVecI`
      alias of add()
      Specified by:
        `translate` in interface `ITransformable`
      Specified by:
        `translate` in interface `IVecI`
      Overrides:
        `translate` in class `IParticleOnCurve`

    - #### transform

          public IParticleOnCurveAgent transform(IMatrix3I mat)

      Description copied from interface: `IVecI`
      transform with a transformation matrix
      Specified by:
        `transform` in interface `ITransformable`
      Specified by:
        `transform` in interface `IVecI`
      Overrides:
        `transform` in class `IParticleOnCurve`

    - #### transform

          public IParticleOnCurveAgent transform(IMatrix4I mat)

      Description copied from interface: `IVecI`
      transform with a transformation matrix
      Specified by:
        `transform` in interface `ITransformable`
      Specified by:
        `transform` in interface `IVecI`
      Overrides:
        `transform` in class `IParticleOnCurve`

    - #### transform

          public IParticleOnCurveAgent transform(IVecI xvec,
                                        IVecI yvec,
                                        IVecI zvec)

      Description copied from interface: `IVecI`
      transform with a transformation vectors
      Specified by:
        `transform` in interface `ITransformable`
      Specified by:
        `transform` in interface `IVecI`
      Overrides:
        `transform` in class `IParticleOnCurve`

    - #### transform

          public IParticleOnCurveAgent transform(IVecI xvec,
                                        IVecI yvec,
                                        IVecI zvec,
                                        IVecI translate)

      Description copied from interface: `IVecI`
      transform with a transformation vectors
      Specified by:
        `transform` in interface `ITransformable`
      Specified by:
        `transform` in interface `IVecI`
      Overrides:
        `transform` in class `IParticleOnCurve`

    - #### mv

          public IParticleOnCurveAgent mv(double x,
                                 double y,
                                 double z)

      Description copied from interface: `IVecI`
      mv() is alias of add()
      Specified by:
        `mv` in interface `ITransformable`
      Specified by:
        `mv` in interface `IVecI`
      Overrides:
        `mv` in class `IParticleOnCurve`

    - #### mv

          public IParticleOnCurveAgent mv(IDoubleI x,
                                 IDoubleI y,
                                 IDoubleI z)

      Description copied from interface: `IVecI`
      mv() is alias of add()
      Specified by:
        `mv` in interface `ITransformable`
      Specified by:
        `mv` in interface `IVecI`
      Overrides:
        `mv` in class `IParticleOnCurve`

    - #### mv

          public IParticleOnCurveAgent mv(IVecI v)

      Description copied from interface: `IVecI`
      mv() is alias of add()
      Specified by:
        `mv` in interface `ITransformable`
      Specified by:
        `mv` in interface `IVecI`
      Overrides:
        `mv` in class `IParticleOnCurve`

    - #### cp

          public IParticleOnCurveAgent cp()

      Description copied from class: `IObject`
      alias of dup()
      Specified by:
        `cp` in interface `IArithmeticVal<IVecI,IDoubleI>`
      Specified by:
        `cp` in interface `ITransformable`
      Specified by:
        `cp` in interface `IVecI`
      Overrides:
        `cp` in class `IParticleOnCurve`

    - #### cp

          public IParticleOnCurveAgent cp(double x,
                                 double y,
                                 double z)

      Description copied from interface: `IVecI`
      cp() is alias of dup().add()
      Specified by:
        `cp` in interface `ITransformable`
      Specified by:
        `cp` in interface `IVecI`
      Overrides:
        `cp` in class `IParticleOnCurve`

    - #### cp

          public IParticleOnCurveAgent cp(IDoubleI x,
                                 IDoubleI y,
                                 IDoubleI z)

      Description copied from interface: `IVecI`
      cp() is alias of dup().add()
      Specified by:
        `cp` in interface `ITransformable`
      Specified by:
        `cp` in interface `IVecI`
      Overrides:
        `cp` in class `IParticleOnCurve`

    - #### cp

          public IParticleOnCurveAgent cp(IVecI v)

      Description copied from interface: `IVecI`
      cp() is alias of dup().add()
      Specified by:
        `cp` in interface `ITransformable`
      Specified by:
        `cp` in interface `IVecI`
      Overrides:
        `cp` in class `IParticleOnCurve`

    - #### setSize

          public IParticleOnCurveAgent setSize(double sz)

      methods of IPoint
      Overrides:
        `setSize` in class `IParticleOnCurve`

    - #### size

          public IParticleOnCurveAgent size(double sz)

      Overrides:
        `size` in class `IParticleOnCurve`

    - #### name

          public IParticleOnCurveAgent name(java.lang.String nm)

      methods of IObject
      Overrides:
        `name` in class `IParticleOnCurve`

    - #### layer

          public IParticleOnCurveAgent layer(ILayer l)

      Description copied from class: `IObject`
      Set layer by ILayer object
      Overrides:
        `layer` in class `IParticleOnCurve`

    - #### show

          public IParticleOnCurveAgent show()

      Overrides:
        `show` in class `IParticleOnCurve`

    - #### hide

          public IParticleOnCurveAgent hide()

      Overrides:
        `hide` in class `IParticleOnCurve`

    - #### clr

          public IParticleOnCurveAgent clr(IColor c)

      Description copied from class: `IObject`
      to set an object color
      Overrides:
        `clr` in class `IParticleOnCurve`

    - #### clr

          public IParticleOnCurveAgent clr(IColor c,
                                  int alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `IParticleOnCurve`

    - #### clr

          public IParticleOnCurveAgent clr(IColor c,
                                  float alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `IParticleOnCurve`

    - #### clr

          public IParticleOnCurveAgent clr(IColor c,
                                  double alpha)

      Description copied from class: `IObject`
      to set color, with alpha value overwritten
      Overrides:
        `clr` in class `IParticleOnCurve`

    - #### clr

          public IParticleOnCurveAgent clr(IObject o)

      Description copied from class: `IObject`
      to set the same color with the object
      Overrides:
        `clr` in class `IParticleOnCurve`

    - #### clr

          public IParticleOnCurveAgent clr(java.awt.Color c)

      Overrides:
        `clr` in class `IParticleOnCurve`

    - #### clr

          public IParticleOnCurveAgent clr(java.awt.Color c,
                                  int alpha)

      Overrides:
        `clr` in class `IParticleOnCurve`

    - #### clr

          public IParticleOnCurveAgent clr(java.awt.Color c,
                                  float alpha)

      Overrides:
        `clr` in class `IParticleOnCurve`

    - #### clr

          public IParticleOnCurveAgent clr(java.awt.Color c,
                                  double alpha)

      Overrides:
        `clr` in class `IParticleOnCurve`

    - #### clr

          public IParticleOnCurveAgent clr(int gray)

      Overrides:
        `clr` in class `IParticleOnCurve`

    - #### clr

          public IParticleOnCurveAgent clr(float fgray)

      Overrides:
        `clr` in class `IParticleOnCurve`

    - #### clr

          public IParticleOnCurveAgent clr(double dgray)

      Overrides:
        `clr` in class `IParticleOnCurve`

    - #### clr

          public IParticleOnCurveAgent clr(int gray,
                                  int alpha)

      Overrides:
        `clr` in class `IParticleOnCurve`

    - #### clr

          public IParticleOnCurveAgent clr(float fgray,
                                  float falpha)

      Overrides:
        `clr` in class `IParticleOnCurve`

    - #### clr

          public IParticleOnCurveAgent clr(double dgray,
                                  double dalpha)

      Overrides:
        `clr` in class `IParticleOnCurve`

    - #### clr

          public IParticleOnCurveAgent clr(int r,
                                  int g,
                                  int b)

      Overrides:
        `clr` in class `IParticleOnCurve`

    - #### clr

          public IParticleOnCurveAgent clr(float fr,
                                  float fg,
                                  float fb)

      Overrides:
        `clr` in class `IParticleOnCurve`

    - #### clr

          public IParticleOnCurveAgent clr(double dr,
                                  double dg,
                                  double db)

      Overrides:
        `clr` in class `IParticleOnCurve`

    - #### clr

          public IParticleOnCurveAgent clr(int r,
                                  int g,
                                  int b,
                                  int a)

      Overrides:
        `clr` in class `IParticleOnCurve`

    - #### clr

          public IParticleOnCurveAgent clr(float fr,
                                  float fg,
                                  float fb,
                                  float fa)

      Overrides:
        `clr` in class `IParticleOnCurve`

    - #### clr

          public IParticleOnCurveAgent clr(double dr,
                                  double dg,
                                  double db,
                                  double da)

      Overrides:
        `clr` in class `IParticleOnCurve`

    - #### hsb

          public IParticleOnCurveAgent hsb(float h,
                                  float s,
                                  float b,
                                  float a)

      Overrides:
        `hsb` in class `IParticleOnCurve`

    - #### hsb

          public IParticleOnCurveAgent hsb(double h,
                                  double s,
                                  double b,
                                  double a)

      Overrides:
        `hsb` in class `IParticleOnCurve`

    - #### hsb

          public IParticleOnCurveAgent hsb(float h,
                                  float s,
                                  float b)

      Overrides:
        `hsb` in class `IParticleOnCurve`

    - #### hsb

          public IParticleOnCurveAgent hsb(double h,
                                  double s,
                                  double b)

      Overrides:
        `hsb` in class `IParticleOnCurve`

    - #### setColor

          public IParticleOnCurveAgent setColor(java.awt.Color c)

      Overrides:
        `setColor` in class `IParticleOnCurve`

    - #### setColor

          public IParticleOnCurveAgent setColor(java.awt.Color c,
                                       int alpha)

      Overrides:
        `setColor` in class `IParticleOnCurve`

    - #### setColor

          public IParticleOnCurveAgent setColor(int gray)

      Overrides:
        `setColor` in class `IParticleOnCurve`

    - #### setColor

          public IParticleOnCurveAgent setColor(float fgray)

      Overrides:
        `setColor` in class `IParticleOnCurve`

    - #### setColor

          public IParticleOnCurveAgent setColor(double dgray)

      Overrides:
        `setColor` in class `IParticleOnCurve`

    - #### setColor

          public IParticleOnCurveAgent setColor(int gray,
                                       int alpha)

      Overrides:
        `setColor` in class `IParticleOnCurve`

    - #### setColor

          public IParticleOnCurveAgent setColor(float fgray,
                                       float falpha)

      Overrides:
        `setColor` in class `IParticleOnCurve`

    - #### setColor

          public IParticleOnCurveAgent setColor(double dgray,
                                       double dalpha)

      Overrides:
        `setColor` in class `IParticleOnCurve`

    - #### setColor

          public IParticleOnCurveAgent setColor(int r,
                                       int g,
                                       int b)

      Overrides:
        `setColor` in class `IParticleOnCurve`

    - #### setColor

          public IParticleOnCurveAgent setColor(float fr,
                                       float fg,
                                       float fb)

      Overrides:
        `setColor` in class `IParticleOnCurve`

    - #### setColor

          public IParticleOnCurveAgent setColor(double dr,
                                       double dg,
                                       double db)

      Overrides:
        `setColor` in class `IParticleOnCurve`

    - #### setColor

          public IParticleOnCurveAgent setColor(int r,
                                       int g,
                                       int b,
                                       int a)

      Overrides:
        `setColor` in class `IParticleOnCurve`

    - #### setColor

          public IParticleOnCurveAgent setColor(float fr,
                                       float fg,
                                       float fb,
                                       float fa)

      Overrides:
        `setColor` in class `IParticleOnCurve`

    - #### setColor

          public IParticleOnCurveAgent setColor(double dr,
                                       double dg,
                                       double db,
                                       double da)

      Overrides:
        `setColor` in class `IParticleOnCurve`

    - #### setHSBColor

          public IParticleOnCurveAgent setHSBColor(float h,
                                          float s,
                                          float b,
                                          float a)

      Overrides:
        `setHSBColor` in class `IParticleOnCurve`

    - #### setHSBColor

          public IParticleOnCurveAgent setHSBColor(double h,
                                          double s,
                                          double b,
                                          double a)

      Overrides:
        `setHSBColor` in class `IParticleOnCurve`

    - #### setHSBColor

          public IParticleOnCurveAgent setHSBColor(float h,
                                          float s,
                                          float b)

      Overrides:
        `setHSBColor` in class `IParticleOnCurve`

    - #### setHSBColor

          public IParticleOnCurveAgent setHSBColor(double h,
                                          double s,
                                          double b)

      Overrides:
        `setHSBColor` in class `IParticleOnCurve`

    - #### weight

          public IParticleOnCurveAgent weight(double w)

      Overrides:
        `weight` in class `IParticleOnCurve`

    - #### weight

          public IParticleOnCurveAgent weight(float w)

      Overrides:
        `weight` in class `IParticleOnCurve`